## blends 0.6.92.5ubuntu1

=== devtools/Makefile ===
#!/usr/bin/make -f

# This Makefile is used to build a debian/control file
# for a Debian Pure Blend.
#
# Copyright (C) Andreas Tille <tille@debian.org>
# License: GPL

# TARGET_DIST is one of stable, sarge, etch, unstable, or any other available
# sources.list file available
TARGET_DIST := $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')
BLEND := $(shell /usr/share/blends-dev/blend-get-names blendname)
GENCONTROL := /usr/share/blends-dev/blend-gen-control

# Verify whether config/control exists, if yes, add it to the depends of debian/control
CONFIGCONTROL := $(shell if [ -d config -a -e config/control ] ; then echo config/control; fi)

all: $(BLEND)-tasks.desc debian/control

debian/control: debian/control.stub debian/changelog tasks/* $(CONFIGCONTROL)
	(export LC_ALL=C;\
	 echo "# This file is autogenerated via "make -f debian/rules dist".  Do not edit!"; \
	 cat debian/control.stub; \
	 test -f config/control && ( cat config/control; echo ) ; \
	$(GENCONTROL) -s $(TARGET_DIST) -S -D -c -m -i -A) > $@.new && mv $@.new $@

tasksel: $(BLEND)-tasks.desc
$(BLEND)-tasks.desc: tasks/* debian/changelog
	LC_ALL=C $(GENCONTROL) -s $(TARGET_DIST) -S -t -A > $(BLEND)-tasks.desc.new && mv $(BLEND)-tasks.desc.new $(BLEND)-tasks.desc

packages.txt: tasks/*
	$(GENCONTROL) -s $(TARGET_DIST) -a > packages.txt.$$$$ && mv packages.txt.$$$$ packages.txt

avoidpackages.txt: tasks/* sources.list.$(TARGET_DIST)
	$(GENCONTROL) -s $(TARGET_DIST) -e > avoidpackages.txt.$$$$ && mv avoidpackages.txt.$$$$ avoidpackages.txt

by_vote:
	rm -f by_vote
	wget http://developer.skolelinux.no/popcon/by_vote

packages-sorted.txt: packages.txt by_vote
	for pkg in `cat packages.txt` ; do \
		grep " $$pkg " by_vote ; \
	done | LANG=C sort -r -n -k 4 -k 3 > packages-sorted.txt
usage: packages-sorted.txt

clean: 
	rm -rf tmp
	rm -f tasks/*~
	rm -rf tasksel
	rm -f packages.txt by_vote packages-sorted.txt
	rm -f debian/*-config.postinst debian/*-config.preinst debian/*-config.postrm debian/*-config.prerm

distclean: clean

proper: distclean
	rm -f debian/control
	rm -f $(BLEND)-tasks.desc

dist:
	rm -f $(BLEND)-tasks.desc debian/control
	make -f debian/rules get-orig-source

=== debian/changelog ===
blends (0.6.92.5ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add sources.list for xenial so blends can be
      built for Ubuntu (LP: #1534999)

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 16 Jan 2016 22:48:09 +0100

blends (0.6.92.5) unstable; urgency=medium

  [ Markus Koschany ]
  * do not install README.source into binary packages
    Closes: #799601

  [ Emmanouil Kiagias ]
  * documentation converted to XML in version 0.6.91 - closing the according
    bug here
    Closes: #612997

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jan 2016 09:14:26 +0100

blends (0.6.92.4) unstable; urgency=medium

  * Drop Simple-CDD from docs
  * Document how to deal with name space pollution
  * devtools/blend-gen-control: Sorted llist of packages in tasksel control
    files to enable better comparison of the generation result

 -- Andreas Tille <tille@debian.org>  Tue, 01 Sep 2015 18:35:24 +0200

=== debian/control ===
Source: blends
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Andreas Tille <tille@debian.org>,
           Cosimo Alfarano <kalfa@debian.org>,
           José L. Redrejo Rodríguez <jredrejo@debian.org>,
           Jonas Smedegaard <dr@jones.dk>,
           Emmanouil Kiagias <e.kiagias@gmail.com>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: xmlto,
                     dblatex,
                     w3m
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/blends/blends.git
Vcs-Git: git://anonscm.debian.org/blends/blends.git

Package: blends-dev
Architecture: all
Depends: debconf,
         make | build-essential,
         debhelper (>= 9),
         ${misc:Depends}
Suggests: blends-doc
Replaces: cdd-dev
Description: Debian Pure Blends common files for developing metapackages
 This package makes life easier when packaging metapackages.  Perhaps
 this will also encourage other people to build metapackages if there are
 easy to use templates where only the packages, the metapackage is depending
 from, to insert into the right place.

Package: blends-common
Architecture: all
Section: misc
Depends: adduser,
         menu,
         debconf,
         ${misc:Depends}
Suggests: blends-doc
Description: Debian Pure Blends common package
 This package builds the basic infra structure for metapackages.
 .
 This package provides some files which are common to metapackages
 of Common Debian Distributions. It introduces a method to handle
 system users in a group named according to the name of the
 Debian Pure Blend.

Package: blends-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: www-browser,
          postscript-viewer
Replaces: cdd-doc
Description: Debian Pure Blends documentation
 This paper is intended to people who are interested in the philosophy
 of Debian Pure Blends and the technique which is used to
 manage those projects.
 .
 It is explained in detail why these are no forks from Debian but reside
 completely inside the Debian GNU distribution and which
 advantages can be gathered by this approach.  The concept of
 metapackages and user role based menus is explained.  In short: This
 document describes why Debian Pure Blends are important to
 the vitality and quality of Debian.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for blends
# This file is public domain software, originally written by Andreas Tille.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION := $(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
DISTDIR := $(pkg)-$(VERSION)

%:
	dh $@

override_dh_auto_build:
	cd doc; $(MAKE) html; $(MAKE) txt; $(MAKE) pdf
	dh_auto_build

override_dh_installchangelogs:
	for pkgnews in $(pkg)-common $(pkg)-dev ; do \
	    cp -a debian/$$pkgnews.NEWS.Debian debian/$$pkgnews/usr/share/doc/$$pkgnews/NEWS.Debian ; \
	done
	dh_installchangelogs

override_dh_auto_clean:
	cd doc; $(MAKE) clean
	dh_auto_clean

override_dh_compress :
	dh_compress -X.pdf

dist: get-orig-source

get-orig-source:
	if [ ! -f debian/changelog ] ; then \
	    echo "File debian/changelog is missing. Something is wrong!" ; \
	    exit -1 ; \
	fi
	if [ "$(VERSION)" = "" ] ; then \
	    echo "Unable to obtain version number from debian/changelog. Something is wrong!" ; \
	    exit -1 ; \
	fi ;
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	chmod 777 $(DISTDIR)
	rsync -a --exclude $(DISTDIR) --exclude CVS --exclude .svn --exclude svn-commit.tmp * $(DISTDIR)
	ln -sf sources.list.unstable $(DISTDIR)/sources.list
	# ln -s control.stub $(DISTDIR)/examples/debian/control
	rm -f `find . -name "*~"`
	GZIP=-9 tar -czf ../$(pkg)_$(VERSION).tar.gz $(DISTDIR)
	rm -rf $(DISTDIR)

## blends 0.6.94ubuntu1

=== debian/changelog ===
blends (0.6.94ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu sources.list files added.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Sep 2016 10:05:37 +0200

blends (0.6.94) unstable; urgency=medium

  [ Ole Streicher ]
  * Make the default install opt-in instead of opt-out, and create the
    <blends>-all package only when there were tasks opted-in as default
    install. Closes: 825004
  * Adjust descriptions for the installer's tasksel
  * Remove debian-science from the installer's tasksel

  [ Holger Levsen ]
  * Adjust description of Debian Edu: use correct project spelling and improve
    language.

  [ Andreas Tille ]
  * Apply patch by Wolfgang Schweer <wschweer@arcor.de> to support udebs using
    blends (thanks Wolfgang for the patch
    Closes: #835528
  * Bump Standards-Version
  * Fix typo in d/rules

 -- Ole Streicher <olebole@debian.org>  Mon, 12 Sep 2016 09:40:48 +0200

blends (0.6.93ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu sources.list files added (LP: #1589655)

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 06 Jun 2016 22:01:37 +0200

blends (0.6.93) unstable; urgency=medium

  [ Ole Streicher ]
  * Fix Relevance field for tasksel
  * Group tasks of one blend under a parent in tasksel
  * Update Standards-Version to 3.9.7: Change VCS-Git URL to https
  * New package blends-tasks. Closes: #758116

  [ Andreas Tille ]
  * Update list of Uploaders
  * Silencing `make dist` output
  * Create xz compressed source tarballs and make tar a bit more 'predictable'
  * Re-enable dist target in rules file
    Closes: #819425

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Apr 2016 20:42:12 +0200

blends (0.6.92.5ubuntu2) yakkety; urgency=medium

  * Add sources.list.yakkety.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 May 2016 11:02:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,17 @@
 XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Cosimo Alfarano <kalfa@debian.org>,
-           José L. Redrejo Rodríguez <jredrejo@debian.org>,
            Jonas Smedegaard <dr@jones.dk>,
-           Emmanouil Kiagias <e.kiagias@gmail.com>
+           Ole Streicher <olebole@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: xmlto,
                      dblatex,
                      w3m
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/blends/blends.git
-Vcs-Git: git://anonscm.debian.org/blends/blends.git
+Vcs-Git: https://anonscm.debian.org/git/blends/blends.git
 
 Package: blends-dev
 Architecture: all
@@ -65,3 +63,18 @@
  metapackages and user role based menus is explained.  In short: This
  document describes why Debian Pure Blends are important to
  the vitality and quality of Debian.
+
+Package: blends-tasks
+Architecture: all
+Priority: important
+Section: misc
+Depends: ${misc:Depends},
+         tasksel
+Description: Debian Pure Blends tasks for new installations
+ This package installs a choice of a default installation for each
+ Debian Pure Blend when run from the Debian installer. The
+ installation includes the tasks package of the blend, so a subsequent
+ invocation of tasksel enables the choice of individual tasks.
+ .
+ The package is intended to be installed in the base system. Later
+ (un)installation is harmless, but has no effect.

## blends 0.6.96

=== devtools/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 TARGET_DIST := $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')
 BLEND := $(shell /usr/share/blends-dev/blend-get-names blendname)
 GENCONTROL := /usr/share/blends-dev/blend-gen-control
+TASKSELOPTS := $(shell grep TASKSELOPTS Makefile | cut -d '=' -f2)
 
 # Verify whether config/control exists, if yes, add it to the depends of debian/control
 CONFIGCONTROL := $(shell if [ -d config -a -e config/control ] ; then echo config/control; fi)
@@ -26,7 +27,7 @@
 
 tasksel: $(BLEND)-tasks.desc
 $(BLEND)-tasks.desc: tasks/* debian/changelog
-	LC_ALL=C $(GENCONTROL) -s $(TARGET_DIST) -S -t -A > $(BLEND)-tasks.desc.new && mv $(BLEND)-tasks.desc.new $(BLEND)-tasks.desc
+	LC_ALL=C $(GENCONTROL) -s $(TARGET_DIST) $(TASKSELOPTS) -S -t -A > $(BLEND)-tasks.desc.new && mv $(BLEND)-tasks.desc.new $(BLEND)-tasks.desc
 
 packages.txt: tasks/*
 	$(GENCONTROL) -s $(TARGET_DIST) -a > packages.txt.$$$$ && mv packages.txt.$$$$ packages.txt

=== debian/changelog ===
blends (0.6.96) unstable; urgency=medium

  * Use (= ${source:Version}) for arch:all depends
    Closes: #845760
  * add ${misc:Depends}
    Closes: #845762
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sat, 26 Nov 2016 20:12:57 +0100

blends (0.6.95) unstable; urgency=medium

  [ Ole Streicher ]
  * Adjusted blend-gen-control to handle RFC822 style continuation
    lines as well as backslash style (Closes: #840094).

  [ Andreas Tille ]
  * Remove Mandriva from doc, since link was not active any more.

 -- Andreas Tille <tille@debian.org>  Sat, 26 Nov 2016 15:45:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: blends
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
+Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Andreas Tille <tille@debian.org>,
            Jonas Smedegaard <dr@jones.dk>,
            Ole Streicher <olebole@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: xmlto,
                      dblatex,
                      w3m

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	cd doc; $(MAKE) clean
 	dh_auto_clean
 
-override_dh_compress :
+override_dh_compress:
 	dh_compress -X.pdf
 
 dist: get-orig-source

## blends 0.6.96ubuntu1

=== debian/changelog ===
blends (0.6.96ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu sources.list files added.
      (add zesty, drop utopic/vivid/wily)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Nov 2016 08:10:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: blends
-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Andreas Tille <tille@debian.org>,
            Jonas Smedegaard <dr@jones.dk>,

## blends 0.6.100ubuntu1

=== debian/changelog ===
blends (0.6.100ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Add support for ubuntu's supported and devel release(s).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 24 Aug 2017 19:47:11 +0530

blends (0.6.100) unstable; urgency=medium

  * Team upload

  * devtools/blend-gen-control: Nasty typo fix for (= ${source:Version})
    expression (swap "$" and "{").
  * debian/control: Add myself to Uploaders: field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Aug 2017 14:11:25 -0400

blends (0.6.99ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Add support for ubuntu's supported and devel release(s).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 14 Aug 2017 17:29:57 +0530

blends (0.6.99) unstable; urgency=medium

  * Team upload

  [ Wookey ]
  * Fix english grammar in README.BLENDS

  [ Mike Gabriel ]
  * devtools/Makefile: Make -D option configurable from the make command
    call.
  * devtools/blend-gen-control: Enable Depends: _and_ Recommends: in task files
    end up under Recommends: in debian/control.
  * devtools/Makefile: Make -D option configurable from the make command call
    to enable real Depends in debian/control.  This can be set by
      GENCONTROL_DEPEND = true
    in Makefile (example: debian-edu src:package). (Closes: #825172).

  [ Andreas Tille ]
  * Do not parse changelog to get package metadata

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Aug 2017 15:43:25 +0200

blends (0.6.98ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Add support for ubuntu's supported and devel release(s).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 06 Aug 2017 21:29:46 +0530

blends (0.6.98) unstable; urgency=medium

  * Team upload
  * devtools: White-space clean-up: Removal of tabs from Perl scripts,
    removal of trailing white-spaces.
  * Consolidate package name extraction even more, fix breakage for
    make dist run against debian-edu (v1.924 and earlier).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Aug 2017 15:48:09 +0200

blends (0.6.97ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Add support for ubuntu's supported and devel release(s).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 05 Aug 2017 19:44:26 +0530

blends (0.6.97) unstable; urgency=medium

  [ Mike Gabriel ]
  * Team upload.
  * load_task: Improve header and package name scanning to enable no package
    right after "Depends:" and parse following line for packages

  [ Andreas Tille ]
  * Standards-Version: 4.0.0 (no changes needed)

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Aug 2017 04:54:26 +0200

blends (0.6.96ubuntu2) artful; urgency=medium

  * Add sources.list and support for artful.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 23 May 2017 21:36:42 +0530

## blends 0.6.100ubuntu2

=== devtools/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 TARGET_DIST := $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')
 BLEND := $(shell /usr/share/blends-dev/blend-get-names blendname)
 GENCONTROL := /usr/share/blends-dev/blend-gen-control
+GENCONTROL_OPTS := $(shell grep -q -E '^GENCONTROL_DEPENDS\s*=\s*(T|t)(R|r)(U|u)(E|e)\s*$$' Makefile || echo "-D")
 TASKSELOPTS := $(shell grep TASKSELOPTS Makefile | cut -d '=' -f2)
 
 # Verify whether config/control exists, if yes, add it to the depends of debian/control
@@ -23,7 +24,7 @@
 	 echo "# This file is autogenerated via "make -f debian/rules dist".  Do not edit!"; \
 	 cat debian/control.stub; \
 	 test -f config/control && ( cat config/control; echo ) ; \
-	$(GENCONTROL) -s $(TARGET_DIST) -S -D -c -m -i -A) > $@.new && mv $@.new $@
+	$(GENCONTROL) -s $(TARGET_DIST) -S $(GENCONTROL_OPTS) -c -m -i -A) > $@.new && mv $@.new $@
 
 tasksel: $(BLEND)-tasks.desc
 $(BLEND)-tasks.desc: tasks/* debian/changelog
@@ -45,7 +46,7 @@
 	done | LANG=C sort -r -n -k 4 -k 3 > packages-sorted.txt
 usage: packages-sorted.txt
 
-clean: 
+clean:
 	rm -rf tmp
 	rm -f tasks/*~
 	rm -rf tasksel

=== debian/changelog ===
blends (0.6.100ubuntu2) bionic; urgency=medium

  * Add support for Bionic and remove support for unsupported releases.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 26 Oct 2017 10:04:07 +0530

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Andreas Tille <tille@debian.org>,
            Jonas Smedegaard <dr@jones.dk>,
-           Ole Streicher <olebole@debian.org>
+           Ole Streicher <olebole@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: xmlto,
                      dblatex,
                      w3m
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/blends/blends.git
 Vcs-Git: https://anonscm.debian.org/git/blends/blends.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

DISTDIR := $(DEB_SOURCE)-$(DEB_VERSION)

%:
	dh $@

override_dh_auto_build:
	cd doc; $(MAKE) html; $(MAKE) txt; $(MAKE) pdf
	dh_auto_build

override_dh_installchangelogs:
	for pkgnews in $(DEB_SOURCE)-common $(DEB_SOURCE)-dev ; do \
	    cp -a debian/$$pkgnews.NEWS.Debian debian/$$pkgnews/usr/share/doc/$$pkgnews/NEWS.Debian ; \
	done
	dh_installchangelogs

override_dh_auto_clean:
	cd doc; $(MAKE) clean
	dh_auto_clean

override_dh_compress:
	dh_compress -X.pdf

dist: get-orig-source

get-orig-source:
	if [ ! -f debian/changelog ] ; then \
	    echo "File debian/changelog is missing. Something is wrong!" ; \
	    exit -1 ; \
	fi
	if [ "$(DEB_VERSION)" = "" ] ; then \
	    echo "Unable to obtain version number from debian/changelog. Something is wrong!" ; \
	    exit -1 ; \
	fi ;
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	chmod 777 $(DISTDIR)
	rsync -a --exclude $(DISTDIR) --exclude CVS --exclude .svn --exclude svn-commit.tmp * $(DISTDIR)
	ln -sf sources.list.unstable $(DISTDIR)/sources.list
	# ln -s control.stub $(DISTDIR)/examples/debian/control
	rm -f `find . -name "*~"`
	GZIP=-9 tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION).tar.gz $(DISTDIR)
	rm -rf $(DISTDIR)

## blends 0.7.2

=== debian/changelog ===
blends (0.7.2) unstable; urgency=medium

  [ Andreas Tille ]
  * Replace bc call with a portable shell substitution (thanks to Lars Kruse
    for the patch)

  [ Wolfgang Schweer ]
  * python3-blends: shouldn't write Packages: list in udeb case
    (Closes: #903593)

 -- Ole Streicher <olebole@debian.org>  Fri, 13 Jul 2018 17:32:06 +0200

blends (0.7.1) unstable; urgency=medium

  * Depends: bc
    Closes: #903292
  * debhelper 11
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Sun, 08 Jul 2018 17:32:33 +0200

blends (0.7.0) unstable; urgency=low

  [ Andreas Tille ]
  * Do not mention subversion any more
  * s/alioth/salsa/
  * Description how Blends relevant data are gathered and stored
  * Standards-Version: 4.1.4

  [ Ole Streicher ]
  * Switch back to unstable
  * Create and use python3-blends package
  * Move distribution name fix to blends-dev Makefile
  * blends.py: Several UDD query fixes
  * blends-gen-control: read defaults from GENCONTROL_OPTS env var
  * blend-gen-control: Improve program output

 -- Ole Streicher <olebole@debian.org>  Fri, 13 Apr 2018 20:40:52 +0200

blends (0.6.103) experimental; urgency=low

  [ Andreas Tille ]
  * d/control:
     - Build-Depends: dh-python, python3-all
     - blends-dev: Depends: ${python3:Depends}
  * d/rules: --with python3
  * ignore false lintian warning binary-package-depends-on-toolchain-package
  * cme fix dpkg-control
  * Take over tasks_diff from blends-gsoc to create dependency_data
  * Use Deb822List to evaluate taskprefix in tasks_diff

  [ Ole Streicher ]
  * Add UDD query options to blend-gen-control

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Mar 2018 21:33:29 +0200

blends (0.6.102) experimental; urgency=low

  * blend-gen-control: Bugfixes, slight refactorization, documentation
     - Don't lower Recommends to Suggests in format 1.0
     - Fail on backslashes in dependency lists

 -- Ole Streicher <olebole@debian.org>  Wed, 28 Mar 2018 08:49:42 +0200

blends (0.6.101) experimental; urgency=low

  [ Andreas Tille ]
  * Moved to Salsa

  [ Ole Streicher ]
  * Switch to experimental
  * Replace blend-gen-control with a Python implementation
    - Degrade packages from contrib/non-free to Suggests even when enforcing
      strict depends. Closes: #891188
    - Do not drop virtual packages in alternatives. Closes: #785678
    - Use Python deb822 to parse tasks files.
    - Recognize Format field in tasks file header. Closes: #825161

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Mar 2018 10:41:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,37 @@
 Source: blends
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
+Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Andreas Tille <tille@debian.org>,
            Jonas Smedegaard <dr@jones.dk>,
            Ole Streicher <olebole@debian.org>,
-           Mike Gabriel <sunweaver@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Build-Depends-Indep: xmlto,
-                     dblatex,
-                     w3m
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/blends/blends.git
-Vcs-Git: https://anonscm.debian.org/git/blends/blends.git
+Build-Depends: debhelper (>= 11~)
+Build-Depends-Indep: dblatex,
+                     dh-python,
+                     python3-all,
+                     python3-apt,
+                     python3-debian,
+                     python3-pytest,
+                     python3-sphinx,
+                     w3m,
+                     xmlto
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/blends-team/blends
+Vcs-Git: https://salsa.debian.org/blends-team/blends.git
 
 Package: blends-dev
 Architecture: all
 Depends: debconf,
+         debhelper (>= 9),
          make | build-essential,
-         debhelper (>= 9),
+         python3,
+         python3-apt,
+         python3-blends,
          ${misc:Depends}
 Suggests: blends-doc
-Replaces: cdd-dev
+Recommends: python3-psycopg2
 Description: Debian Pure Blends common files for developing metapackages
  This package makes life easier when packaging metapackages.  Perhaps
  this will also encourage other people to build metapackages if there are
@@ -34,8 +42,8 @@
 Architecture: all
 Section: misc
 Depends: adduser,
+         debconf,
          menu,
-         debconf,
          ${misc:Depends}
 Suggests: blends-doc
 Description: Debian Pure Blends common package
@@ -50,9 +58,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: www-browser,
-          postscript-viewer
-Replaces: cdd-doc
+Suggests: postscript-viewer,
+          www-browser
 Description: Debian Pure Blends documentation
  This paper is intended to people who are interested in the philosophy
  of Debian Pure Blends and the technique which is used to
@@ -67,10 +74,10 @@
 
 Package: blends-tasks
 Architecture: all
+Section: misc
 Priority: important
-Section: misc
-Depends: ${misc:Depends},
-         tasksel
+Depends: tasksel,
+         ${misc:Depends}
 Description: Debian Pure Blends tasks for new installations
  This package installs a choice of a default installation for each
  Debian Pure Blend when run from the Debian installer. The
@@ -79,3 +86,18 @@
  .
  The package is intended to be installed in the base system. Later
  (un)installation is harmless, but has no effect.
+
+Package: python3-blends
+Architecture: all
+Section: python
+Depends: python3-debian,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
+Suggests: python3-psycopg2,
+          python3-apt
+Description: Python 3 module for Debian Pure Blends support
+ This package installs a module to handle Debian Pure Blends tasks.
+ It reads the tasks description from unpacked Blend Metapackages
+ sources. It is directly possible to create the debian/control file
+ and the tasks definition files from it.

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,18 @@
 DISTDIR := $(DEB_SOURCE)-$(DEB_VERSION)
 
 %:
-	dh $@
+	dh $@ --with python3,sphinxdoc
 
 override_dh_auto_build:
-	cd doc; $(MAKE) html; $(MAKE) txt; $(MAKE) pdf
+	$(MAKE) -C doc html txt pdf
+	$(MAKE) -C sphinxdoc html
 	dh_auto_build
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	pytest-3 --doctest-modules
+	rm -f education # clean up test remnants
+endif
 
 override_dh_installchangelogs:
 	for pkgnews in $(DEB_SOURCE)-common $(DEB_SOURCE)-dev ; do \
@@ -21,7 +28,8 @@
 	dh_installchangelogs
 
 override_dh_auto_clean:
-	cd doc; $(MAKE) clean
+	$(MAKE) -C doc clean
+	$(MAKE) -C sphinxdoc clean
 	dh_auto_clean
 
 override_dh_compress:

## blends 0.7.2ubuntu1

=== debian/changelog ===
blends (0.7.2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add support for cosmic and remove support for unsupported releases.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Aug 2018 18:50:17 +0200

## blends 0.7.2ubuntu2

=== debian/changelog ===
blends (0.7.2ubuntu2) disco; urgency=medium

  * Add support for Disco (LP: #1809458)

 -- Ross Gammon <rossgammon@debian.org>  Wed, 26 Dec 2018 22:12:01 -0500

## blends 0.7.2ubuntu3

=== doc/Makefile ===
## ----------------------------------------------------------------------
## Makefile : makefile for docbook-xml
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## Document definitions
doc_lang	:= en
doc_name	:= debian-blends
doc_xml	:= $(shell for l in $(doc_lang); do echo $(doc_name).$$l.xml; done)
sources := $(shell find . -name "*.xml")
doc_pdf	:= $(shell for l in $(doc_lang); do echo $$l/pdf/$(doc_name).$$l.pdf; done)
doc_ps	:= $(shell for l in $(doc_lang); do echo $$l/ps/$(doc_name).$$l.ps; done)
doc_dvi	:= $(shell for l in $(doc_lang); do echo $$l/dvi/$(doc_name).$$l.dvi; done)

doc_txt	:= $(shell for l in $(doc_lang); do echo $$l/txt/$(doc_name).$$l.txt; done)
#this needed cause xmlto txt does not include section numbering by default
doc_txt_params := --stringparam section.autolabel=1 --stringparam section.label.includes.component.label=1

doc_html := $(shell for l in $(doc_lang); do echo $$l/html/index.html; done)
pkg      := blends-doc

doc_html_en := en/html
doc_pdf_en  := en/pdf/debian-blends.en.pdf

## ----------------------------------------------------------------------
## General definitions
LN		:= /bin/ln -sf
RMR		:= /bin/rm -fr
LOCALE          := unset LC_ALL; unset LANG; unset LANGUAGE; 

## ----------------------------------------------------------------------
# this can and will be overriden by a higher level makefile
PUBLISHHOST ?= dillon.debian.org
# PUBLISHDIR := alioth.debian.org:/srv/alioth.debian.org/chroot/home/groups/blends/htdocs/blends
PUBLISHDIR := $(PUBLISHHOST):/srv/blends.debian.org/www/blends

# There is no difference between letter and a4, but a2 for instance works
PAPERSIZE  := a4

## ----------------------------------------------------------------------
## Targets
all:		html

validate: $(doc_xml)
	for f in $(doc_xml); do \
	  xmllint --valid --noout $$f; \
	done

html: $(doc_html)

$(doc_html) $(doc_html_en): $(doc_xml) $(sources)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/html; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto --skip-validation -o $$d -x $(doc_name).xsl html $$f; \
	done

txt $(doc_txt): $(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/txt; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto --skip-validation $(doc_txt_params) -o $$d txt $$f; \
	done

ps $(doc_ps): 	$(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/ps; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto -o $$d --with-dblatex ps $$f; \
	done


pdf $(doc_pdf): $(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/pdf; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto --skip-validation -o $$d --with-dblatex pdf $$f; \
	done


dvi $(doc_dvi): $(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/dvi; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto -o $$d --with-dblatex dvi $$f; \
	done


publish: $(doc_html_en) $(doc_pdf_en)
	rsync -azult --delete $(doc_html_en)/*.html $(PUBLISHDIR)
	rsync -azult $(doc_pdf_en) $(PUBLISHDIR)
	# sync to mirrors
	ssh $(PUBLISHHOST) "/usr/local/bin/static-update-component blends.debian.org"

clean:
	for l in $(doc_lang); do \
	  for d in html pdf txt ps dvi info; do \
	    $(RMR) $$l/$$d; \
	  done; \
	done
	find . -name "*~" -exec $(RMR) {} \;

distclean:
		make clean

.PHONY: all publish clean distclean validate

=== debian/changelog ===
blends (0.7.2ubuntu3) eoan; urgency=medium

  * Add support for Eoan

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jun 2019 00:52:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: blends
-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Andreas Tille <tille@debian.org>,
            Jonas Smedegaard <dr@jones.dk>,

## blends 0.7.2+nmu1

=== debian/changelog ===
blends (0.7.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:35:34 +0800

## blends 0.7.3

=== debian/changelog ===
blends (0.7.3) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Add Ubuntu sources.lists

  [ Andreas Tille ]
  * Do not assume that short name is behind a '-' but strip only '^debian-' to
    obtain short name
  * blends-common Depends: sensible-utils
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Sat, 09 Mar 2019 15:13:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: blends
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
+Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Andreas Tille <tille@debian.org>,
            Jonas Smedegaard <dr@jones.dk>,
@@ -18,7 +17,7 @@
                      python3-sphinx,
                      w3m,
                      xmlto
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/blends-team/blends
 Vcs-Git: https://salsa.debian.org/blends-team/blends.git
 
@@ -45,6 +44,7 @@
 Depends: adduser,
          debconf,
          menu,
+         sensible-utils,
          ${misc:Depends}
 Suggests: blends-doc
 Description: Debian Pure Blends common package

## blends 0.7.4

=== debian/changelog ===
blends (0.7.4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add Ubuntu disco and eoan sources.list files

  [ Cédric Boutillier ]
  * Replace deprecated `tempfile` by `mktemp` in blend-actions script (Closes:
    #993739)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove constraints unnecessary since buster:
    + blends-dev: Drop versioned constraint on debhelper in Depends.
  * Drop unknown tag in blends-common.lintian-overrides

 -- Andreas Tille <tille@debian.org>  Wed, 08 Sep 2021 13:42:38 +0200

## blends 0.7.4ubuntu1

=== devtools/Makefile ===
#!/usr/bin/make -f

# This Makefile is used to build a debian/control file
# for a Debian Pure Blend.
#
# Copyright (C) Andreas Tille <tille@debian.org>
# License: GPL

# TARGET_DIST is one of stable, sarge, etch, unstable, or any other available
# sources.list file available
TARGET_DIST := $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')

# using unstable as target distribution for the meta package dependencies
# does actually not sound reasonable.  The idea is to enable a smooth transition
# to testing for all meta packages and thus here testing is used as target
# distribution.
ifeq "$(TARGET_DIST)" "unstable"
	TARGET_DIST := "testing"
endif

# It is a good practice to use UNRELEASED in the changelog as target
# distribution for not yet finished packages and blends-dev should
# also work in this case.
ifeq "$(TARGET_DIST)" "UNRELEASED"
	TARGET_DIST := "unstable"
endif

BLEND := $(shell /usr/share/blends-dev/blend-get-names blendname)
VERSION  := $(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
GENCONTROL := /usr/share/blends-dev/blend-gen-control
TASKSDIFF := /usr/share/blends-dev/tasks_diff
DEPENDENCIES_DATA := dependency_data
TASKSELOPTS := $(shell grep TASKSELOPTS Makefile | cut -d '=' -f2)

# Verify whether config/control exists, if yes, add it to the depends of debian/control
CONFIGCONTROL := $(shell if [ -d config -a -e config/control ] ; then echo config/control; fi)

#get two latest releases
RELEASES   := $(shell grep '^$(BLEND)' debian/changelog | head -2 | awk '{print $$2}' | tr -d '[(,)]')
LATEST    := $(shell echo "$(RELEASES)" | cut -d ' ' -f1)
PREVIOUS   := $(shell echo $(RELEASES) | cut -d ' ' -f2)

ifneq "$(LATEST)" "$(PREVIOUS)"
	LINEEND   := $(shell lineend=`grep '^$(BLEND)' debian/changelog -n | sed -n 2p | cut -d ':' -f1`; echo "$$((lineend - 3))")
	LINESTART  := $(shell linestart=`grep "* start of automatic changelog entry *" debian/changelog -n | head -1 | awk '{print $$1}' | tr -d ':'`; if [ -z "$$linestart" ]; then echo "0"; else echo "$$((linestart - 1))"; fi)

	ISGREATER := $(shell expr $(LINESTART) \> $(LINEEND))

	ifeq "$(LINESTART)" "0"
		LINESTART := $(LINEEND)
	else ifeq "$(ISGREATER)" "1"
		LINESTART := $(LINEEND)
	endif
endif

all: $(BLEND)-tasks.desc debian/control

debian/control: debian/control.stub debian/changelog tasks/* $(CONFIGCONTROL)
	$(GENCONTROL) -r $(TARGET_DIST) -S -c -m

tasksel: $(BLEND)-tasks.desc
$(BLEND)-tasks.desc: tasks/* debian/changelog
	$(GENCONTROL) $(TASKSELOPTS) -r $(TARGET_DIST) -S -t

dependency_data:
	if [ ! -d $(DEPENDENCIES_DATA) ]; then \
		echo "$(DEPENDENCIES_DATA) directory does not exist, creating it now."; \
		mkdir $(DEPENDENCIES_DATA); \
	fi

statusdump: dependency_data
	$(TASKSDIFF) --status-dump --tasks .  --output $(DEPENDENCIES_DATA)/$(BLEND)_$(VERSION).json

#update changelog with dependencies changes
changelogentry: debian/changelog statusdump
ifneq "$(LATEST)" "$(PREVIOUS)"
	if [ ! -f $(DEPENDENCIES_DATA)/$(BLEND)_$(LATEST).json ]; then \
		echo "$(DEPENDENCIES_DATA)/$(BLEND)_$(LATEST).json does not exist, can not generate changelog dependencies-changes entry"; \
		exit -1; \
	fi
	if [ ! -f $(DEPENDENCIES_DATA)/$(BLEND)_$(PREVIOUS).json ]; then \
		echo "$(DEPENDENCIES_DATA)/$(BLEND)_$(PREVIOUS).json does not exist, can not generate changelog dependencies-changes entry"; \
		exit -1; \
	fi

	(sed $(LINESTART)q debian/changelog; \
	 $(TASKSDIFF) --compare $(DEPENDENCIES_DATA)/$(BLEND)_$(LATEST).json,$(DEPENDENCIES_DATA)/$(BLEND)_$(PREVIOUS).json | sed 's/^/  /'; \
	 sed -n '$(LINEEND),$$p' debian/changelog; ) > debian/changelog.new && mv debian/changelog.new debian/changelog
else
	echo "It is the first release, skip the changelog entry"
endif

packages.txt: tasks/*
	$(GENCONTROL) -r $(TARGET_DIST) -a > packages.txt.$$$$ && mv packages.txt.$$$$ packages.txt

avoidpackages.txt: tasks/* sources.list.$(TARGET_DIST)
	$(GENCONTROL) -r $(TARGET_DIST) -e > avoidpackages.txt.$$$$ && mv avoidpackages.txt.$$$$ avoidpackages.txt

by_vote:
	rm -f by_vote
	wget http://developer.skolelinux.no/popcon/by_vote

packages-sorted.txt: packages.txt by_vote
	for pkg in `cat packages.txt` ; do \
		grep " $$pkg " by_vote ; \
	done | LANG=C sort -r -n -k 4 -k 3 > packages-sorted.txt
usage: packages-sorted.txt

clean:
	rm -rf tmp
	rm -f tasks/*~
	rm -rf tasksel
	rm -f packages.txt by_vote packages-sorted.txt
	rm -f debian/*-config.postinst debian/*-config.preinst debian/*-config.postrm debian/*-config.prerm

distclean: clean

proper: distclean
	rm -f debian/control
	rm -f $(BLEND)-tasks.desc

dist:
	rm -f $(BLEND)-tasks.desc debian/control
	make -f debian/rules get-orig-source

=== debian/changelog ===
blends (0.7.4ubuntu1) jammy; urgency=medium

  * Add focal and jammy sources.list file
  * Drop old ubuntu releases

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Dec 2021 22:36:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mike Gabriel <sunweaver@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dblatex,
                      dh-python,
                      python3-all,
@@ -17,14 +17,14 @@
                      python3-sphinx,
                      w3m,
                      xmlto
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/blends-team/blends
 Vcs-Git: https://salsa.debian.org/blends-team/blends.git
 
 Package: blends-dev
 Architecture: all
 Depends: debconf,
-         debhelper (>= 9),
+         debhelper,
          make | build-essential,
          python3,
          python3-apt,
@@ -47,6 +47,7 @@
          sensible-utils,
          ${misc:Depends}
 Suggests: blends-doc
+Multi-Arch: foreign
 Description: Debian Pure Blends common package
  This package builds the basic infra structure for metapackages.
  .
@@ -61,6 +62,7 @@
 Depends: ${misc:Depends}
 Suggests: postscript-viewer,
           www-browser
+Multi-Arch: foreign
 Description: Debian Pure Blends documentation
  This paper is intended to people who are interested in the philosophy
  of Debian Pure Blends and the technique which is used to

## blends 0.7.5

=== debian/changelog ===
blends (0.7.5) unstable; urgency=medium

  [ Andreas Tille ]
  * Add Homepage
    Closes: #999579
  * Add missing semikolon in templates/apt.conf (preventing bugs like #1012341)

  [ Stefan Kropp ]
  * Fixed some links (alioth)

  [ Gianfranco Costamagna ]
  * Drop cosmic/disco/eoan old Ubuntu releases, add focal and jammy

  [ Daniele Forsi ]
  * Fix spelling errors found with codespell

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jun 2022 07:59:36 +0200

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/blends-team/blends
 Vcs-Git: https://salsa.debian.org/blends-team/blends.git
+Homepage: https://www.debian.org/blends/
 
 Package: blends-dev
 Architecture: all

## blends 0.7.5ubuntu1

=== debian/changelog ===
blends (0.7.5ubuntu1) kinetic; urgency=medium

  * Add "ubuntu devel", an alias for the latest development release
    See: https://salsa.debian.org/blends-team/blends/-/merge_requests/13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Jun 2022 09:32:29 +0200

## blends 0.7.6

=== doc/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 LOCALE          := unset LC_ALL; unset LANG; unset LANGUAGE; 
 
 ## ----------------------------------------------------------------------
-# this can and will be overriden by a higher level makefile
+# this can and will be overridden by a higher level makefile
 PUBLISHHOST ?= dillon.debian.org
 # PUBLISHDIR := alioth.debian.org:/srv/alioth.debian.org/chroot/home/groups/blends/htdocs/blends
 PUBLISHDIR := $(PUBLISHHOST):/srv/blends.debian.org/www/blends

=== debian/changelog ===
blends (0.7.6) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add "ubuntu devel", an alias for the latest development release

  [ Dominik George ]
  * Add support for Conflicts and Breaks in task meta-packages
    (Closes: #1050621)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2
  * Doc:
     - Remove non-existing Blends
     - Add Debian Astro

  [ Ole Streicher ]
  * Use kstars instead of starplot in Python documentation examples
    (Closes: #1054757)

 -- Ole Streicher <olebole@debian.org>  Sun, 05 Nov 2023 16:23:11 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      python3-sphinx,
                      w3m,
                      xmlto
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/blends-team/blends
 Vcs-Git: https://salsa.debian.org/blends-team/blends.git
 Homepage: https://www.debian.org/blends/

## blends 0.7.7

=== debian/changelog ===
blends (0.7.7) unstable; urgency=medium

  * Fix spacing in tasks_diff
  * Standards-Version: 4.7.0

 -- Andreas Tille <tille@debian.org>  Sat, 18 May 2024 22:44:52 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      python3-sphinx,
                      w3m,
                      xmlto
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/blends-team/blends
 Vcs-Git: https://salsa.debian.org/blends-team/blends.git
 Homepage: https://www.debian.org/blends/

## blends 0.7.9

=== debian/changelog ===
blends (0.7.9) unstable; urgency=medium

  * Drop intersphinx from sphinxdoc configuration
    Closes: #1090094

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2024 20:25:50 +0100

blends (0.7.8) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix Python3.12 string syntax warnings
  * Rules-Requires-Root: no
  * Build-Depends: texlive-lang-french
  * Remove remainings of test suite

  [ James Valleroy ]
  * Add FreedomBox to debian-blends-tasks
    Closes: #834239

 -- Andreas Tille <tille@debian.org>  Tue, 10 Dec 2024 21:08:56 +0100

## blends 0.7.10

=== debian/changelog ===
blends (0.7.10) unstable; urgency=medium

  [ James Valleroy ]
  * Update freedombox package and description

  [ Sunil Mohan Adapa ]
  * doc: Add FreedomBox existing blends list

 -- Andreas Tille <tille@debian.org>  Tue, 31 Dec 2024 22:19:49 +0100

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,13 @@
                      python3-pytest,
                      python3-sphinx,
                      w3m,
-                     xmlto
+                     xmlto,
+#                     texlive-lang-french
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/blends-team/blends
 Vcs-Git: https://salsa.debian.org/blends-team/blends.git
 Homepage: https://www.debian.org/blends/
+Rules-Requires-Root: no
 
 Package: blends-dev
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	pytest-3 --doctest-modules
 	rm -f education # clean up test remnants
+	find . -type d -name __pycache__ | xargs rm -rf
 endif
 
 override_dh_installchangelogs:
